2019-12-07 11:53 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001673FSSCPmultiplayerpublic2008-05-26 09:36
ReporterMp-Ryan 
Assigned Tokarajorma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001673: 3.6.10 20080423 rev 4608 - Cannot cycle primary weapons in multiplayer
DescriptionPrimary weapon cycling is not functional in multiplayer. Secondary cycling works properly. Both primary and secondary weapon cycling function properly in singleplayer.

Problem reported by:

FF-Castor (self-compiled linux build, April 26th), MP-Ryan, Captain Custard
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001690closed 4618/4619 
+Relationships

-Notes

~0009283

taylor (administrator)

This only happens for clients, with the host working fine, correct?

~0009309

Mp-Ryan (reporter)

I believe so. Shade wasn't actively reporting the problem in-game, but he's the one to ask for certain.

~0009310

taylor (administrator)

I know what the problem is, I just haven't figured out how best to fix it yet. I was something broken by one of my commits to fix another bug (weapon selection changing on respawn) and it passed through testing, but I don't think that anyone every tested it on a non-host.

A quick and dirty fix is simple enough, but I'd like to get it right instead. Just haven't had the time to go through it and figure out where my original thinking messed up.

~0009323

Mp-Ryan (reporter)

This bug is also present in build rev4618, posted by chief on 06/05/2008

~0009325

karajorma (administrator)

Last edited: 2008-05-14 20:55

I assume the quick and dirty fix is simply moving CYCLE_NEXT_PRIMARY and CYCLE_PREV_PRIMARY from the Non_critical_key_set to the Critical_key_set?

Cause doing that fixes the bug.

~0009326

taylor (administrator)

That's probably the correct fix actually, but I don't know. There is a reason for the difference that I missed initially when trying to figure out why :V: didn't do it right in the the place. If it was as simple as moving those controls to the critical set then you would think that they would have done that. The problem comes in when you consider that doing so might break something else and that is why they didn't do it. Someone just has to go through the network code to look for any packet issues that might crop up if those controls were marked critical. I can't think of any other location where it might be an issue (should have no affect on pilot files in other words, it should be a multi specific issue).


The quick and dirty fix is just to add the controls at both key handling locations and only process as non-critical if it's a multi client. That still leaves a hole in the original bug fix which has to be resolved later, but it should fix this particular issue with the minimum amount of effort. But, it's a really stupid way to go.

~0009327

karajorma (administrator)

Well I tested the fix on my LAN (with both PCs having the new build) and I didn't see any issues appearing (or in SP either). Might be easier to simply hand out my build and see if the multi players notice it causing any new bugs.

~0009328

taylor (administrator)

Go for it.

I did give the relevant functions a quick look and didn't see any problems, but that was a /really/ quick look so I can't say that some issue won't pop up later.

~0009347

karajorma (administrator)

No reported errors with the Saturday multi games so I think it's fixed.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-26 21:43 Mp-Ryan New Issue
2008-05-02 22:30 taylor Note Added: 0009283
2008-05-08 00:50 Mp-Ryan Note Added: 0009309
2008-05-08 01:16 taylor Note Added: 0009310
2008-05-14 18:58 Mp-Ryan Note Added: 0009323
2008-05-14 20:54 karajorma Note Added: 0009325
2008-05-14 20:55 karajorma Note Edited: 0009325
2008-05-14 21:19 taylor Note Added: 0009326
2008-05-14 21:36 karajorma Note Added: 0009327
2008-05-14 22:19 taylor Note Added: 0009328
2008-05-21 00:48 Shade Relationship added has duplicate 0001690
2008-05-26 09:36 karajorma Status new => resolved
2008-05-26 09:36 karajorma Fixed in Version => 3.6.10
2008-05-26 09:36 karajorma Resolution open => fixed
2008-05-26 09:36 karajorma Assigned To => karajorma
2008-05-26 09:36 karajorma Note Added: 0009347
+Issue History